<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Beers List</title>
    <link rel="stylesheet" th:href="@{/styles.css}" type="text/css" href="../static/styles.css"/>
</head>
<body>

<ul>
    <li>
        <a href="#" th:href="@{/beers}">See all beers</a>
    </li>
    <li>
        <a href="#" th:href="@{/beers/new}">Create new beer</a>
    </li>
</ul>

<div th:if="${beersList.isEmpty()}">
    <h2 th:text="#{beersTable.header.noBeers}">No Beers</h2>
</div>

<div th:unless="${beersList.isEmpty()}">

    <h2 th:text="#{beersTable.header}">Beers (design)</h2>

    <div class="table">

        <div class="header">
            <div class="cell" th:text="#{table.id}">1</div>
            <div class="cell" th:text="#{table.name}">1</div>
            <div class="cell" th:text="#{table.ABV}">1</div>
            <div class="cell" th:text="#{table.description}">1</div>
            <div class="cell" th:text="#{table.brewery}">1</div>
            <div class="cell" th:text="#{table.country}">1</div>
            <div class="cell" th:text="#{table.style}">1</div>
            <div class="cell" th:text="#{table.creator}">1</div>
            <div class="cell" th:text="#{table.averageRating}">1</div>
        </div>

        <div class="row" th:each="beer : ${beersList}">

            <div class="cell" th:text="${beer.getId()}">1</div>

            <div class="cell" th:text="${beer.getName()}">Petar</div>

            <div class="cell" th:text="${beer.getABV()}">Training</div>

            <div class="cell" th:text="${beer.getDescription()}">Training</div>

            <div class="cell" th:text="${beer.getBrewery().getBrewery()}">Training</div>

            <div class="cell" th:text="${beer.getCountry().getCountry()}">Training</div>

            <div class="cell" th:text="${beer.getStyle().getStyle()}">Training</div>

            <div class="cell" th:text="${beer.getCreator().getUsername()}">Training</div>

            <div class="cell" th:text="${beer.getAverageRating()}">Training</div>

        </div>

    </div>
</div>
    <li>
        <a href="sortedBeersAlphabetically.html"
           th:href="@{/beers/sorted/alphabetically}">
            See sorted alphabetically beers </a>
    </li>

    <li>
        <a href="sortedBeersByRating.html"
           th:href="@{/beers/sorted/by/Rating}">
            See sorted by rating beers </a>
    </li>


    <div class="col-xs-12 col-sm-6 col-md-6">
        <a th:href="@{/beers/sorted/by/ABV}"><button>See sorted by ABV beers</button></a>
    </div>




</body>
</html>

